QGIS Application - Bug report #17780
[processing] Script collection plugins don't work in qgis 2.99.0-254, x64
2018-01-03 07:49 PM - Clemens Raffler

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: Yes

Operating System: Windows 10, x64 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25676
Description

Dear devs,

first of all a huge thank you for the rework of the processing framework for qgis3 - it is promising huge improvements!

Unfortunately | ran into a bug that breaks the script collection plugin functionality for me while | was porting such a plugin from qgis2.x
to qgis3. The problem still exists when | populate the plugin with the scripts from the current on-line scripts collection and throws a
GUI-related python error.

Is this bug replicable for you?

| suppose that the script collection plugin might trigger some other python errors besides this gui-related error due to the rework of
processing - just a guess.

| will paste the stack trace and my path-vars here for reference, if you need more information from me don't hesitate to ask!

Thanks!
Couldn't load plugin 'testscript' due to an error when calling its initGui() method

AttributeError: 'QGISAlgorithmProvider' object has no attribute '_icon'’
Traceback (most recent call last):
File "S:/0SGeo4W64/apps/qgis-dev/./python\ggis\utils.py", line 345, in startPlugin
plugins[packageNamel].initGui()
File "C:/Users/Clemens Raffler/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\testscript\plugin.py", line 8, in initGui
Processing.addScripts(os.path.join(os.path.dirname(file), "scripts"))
File "S:/0SGeo4W64/apps/qgis-dev/./python/plugins\processing\core\Processing.py", line 112, in addScripts
script._icon = provider._icon
AttributeError: 'QGISAlgorithmProvider' object has no attribute '_icon'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)]
QGIS version: 2.99.0-Master Master, f9d6a991ce

Python Path:

S:/0SGeo4W64/apps/qgis-dev/./python/plugins\processing
S:/0SGeo4W64/apps/qgis-dev/./python
C:/Users/Username/AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:/Users/Username/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
S:/0SGeo4W64/apps/qgis-dev/./python/plugins
C:\EnterpriseDB\LanguagePack\9.5\x64\Python-3.3

C:\WINDOWS\system32
C:\WINDOWS

C:\WINDOWS\system32\WBem

C:\Program Files\R\R-3.2.2\bin\x64

C:\ProgramData\Oracle\Java\javapath

C:\Program Files (x86)\Common Files\Microsoft Shared\Windows Live
C:\Program Files (x86)\InteNiCLS Client

C:\Program Files\InteNiCLS Client
C:\WINDOWS\System32\WindowsPowerShell\v1.0

C:\Program Files\Intel\Intel(R) Management Engine Components\DAL
C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\DAL
C:\Program Files\Intel\Intel(R) Management Engine Components\IPT
C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\IPT
C:\Program Files (x86)\Boundless\OpenGeo\jetty\jre\bin

C:\Program Files (x86)\Quick Time\QTSystem

C:\Program Files\Microsoft SQL Server\130\Tools\Binn

C:\Program Files (x86)\Skype\Phone

C:\Program Files\IBM\SPSS\Statistics\24\JRE\bin

C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common
S:\OSGe04W64\bin\%USERPROFILEY%\.dnx\bin

C:\Program Files\Microsoft DNX\Dnvm

C:\Program Files\CMake\bin

C:\Program Files (x86)\Microsoft Visual Studio\2017\BuildTools\MSBuild\15.0\Bin
C:\Program Files (x86)\Graphviz2.38\bin

C:\Program Files\apache-maven-3.5.2\bin

C:\Program Files\Java\jdk1.8.0_121\bin

C:\Program Files\Java\jre1.8.0_121\bin

S:\Cygwin\bin

C:\Program Files\PostgreSQL\9.5\bin

S:\OSGeo4W64\bin

S:\OSGeo04W64\bin\python36.zip

S:\OSGeo4W64\apps\Python36\DLLs

S:\OSGeo4W64\apps\Python36\lib

S:\OSGeo4W64\apps\Python36
S:\OSGeo4W64\apps\Python36\lib\site-packages
C:/Users/Username/AppData/Roaming/QGIS/QGIS3\profiles\default/python####t##H#HHHHHHHHEHHEHE AP
Associated revisions

Revision 7ecb0536 - 2018-01-15 10:59 AM - Alexander Bruy

[processing] correctly retrieve icon for script collection (fix #17780)

History

#1 - 2018-01-15 10:58 AM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|7ecb0536fde1f55b9e359fbd95e93aab64d9c28a.
#2 - 2018-02-22 10:58 AM - Giovanni Manghi
- Resolution set to fixed/implemented
